import { axios } from '@/utils/request'

//  调拨管理 列表  分页
export const allocateBillList = (params) => {
  const url = `/allocateBill/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 调拨管理  新增
export const allocateBillSave = params => {
  return axios({
    url: '/allocateBill/save',
    data: params,
    method: 'post'
  })
}
// 调拨管理  详情
export const allocateBillDel = params => {
  return axios({
    url: `/allocateBill/delete/${params.sn}`,
    data: {},
    method: 'get'
  })
}
// 调拨管理  删除
export const allocateBillDetail = params => {
  return axios({
    url: `/allocateBill/findBySn/${params.sn}`,
    data: {},
    method: 'get'
  })
}
// 调拨管理  审核
export const allocateBillAudit = params => {
  return axios({
    url: `/allocateBill/audit/${params.sn}/${params.state}`,
    data: {},
    method: 'get'
  })
}
// 调拨管理  提交
export const allocateBillSubmit = params => {
  return axios({
    url: `/allocateBill/submit/${params.sn}`,
    data: {},
    method: 'get'
  })
}
//  调拨管理  明细 列表  分页
export const allocateBillDetailList = (params) => {
  const url = `/allocateBill/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  调拨管理  明细 列表  合计
export const allocateBillDetailCount = (params) => {
  return axios({
    url: '/allocateBill/detail/queryCount',
    data: params,
    method: 'post'
  })
}
// 调拨管理  详情  删除
export const allocateBillDetailDel = params => {
  return axios({
    url: `/allocateBill/detail/delete/${params.id}`,
    data: {},
    method: 'get'
  })
}
// 调拨管理  详情  整单删除
export const allocateBillDetailDelAll = params => {
  return axios({
    url: `/allocateBill/detail/deleteAll/${params.sn}`,
    data: {},
    method: 'get'
  })
}
// 调拨管理  详情  保存
export const allocateBillDetailSave = params => {
  return axios({
    url: '/allocateBill/detail/save',
    data: params,
    method: 'post'
  })
}
