import { axios } from '@/utils/request'


//  销售退货明细 删除
export const salesReturnDetailDel = (params) => {
  return axios({
    url: `/salesReturn/detail/delete/${params.salesReturnDetailSn}`,
    method: 'get'
  })
}

//  新增销售退货明细
export const salesReturnDetailInsert = (params) => {
  return axios({
    url: '/salesReturn/detail/insert',
    data: params,
    method: 'post'
  })
}

// 分页查询销售退货明细
export const salesReturnDetailList = (params) => {
  const url = `/salesReturn/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 修改销售退货明细数量
export const salesReturnDetailUpdateQty = (params) => {
  return axios({
    url: '/salesReturn/detail/updateQty',
    data: params,
    method: 'post'
  })
}

// 修改销售退货明细退货原因
export const salesReturnDetailUpdateReason = (params) => {
  return axios({
    url: '/salesReturn/detail/updateReason',
    data: params,
    method: 'post'
  })
}