import { axios } from '@/utils/request'

//  批量删除
export const deleteBatch = (params) => {
  return axios({
    url: '/waitDispatchDetail/deleteBatch',
    data: params,
    method: 'post'
  })
}

// 下推
export const pushDown = (params) => {
  return axios({
    url: `/waitDispatchDetail/pushDown/${params.salesBillSn}`,
    method: 'get'
  })
}

// 统计查询
export const queryCount = (params) => {
  return axios({
    url: `/waitDispatchDetail/queryCount/${params.salesBillSn}`,
    data: params,
    method: 'post'
  })
}

// 列表  有分页
export const waitDispatchDetailList = (params) => {
  const url = `/waitDispatchDetail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 列表  不分页
export const waitDispatchDetailAllList = (params) => {
  const url = `/waitDispatchDetail/query`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

//  数量修改
export const updateQty = (params) => {
  return axios({
    url: '/waitDispatchDetail/updateQty',
    data: params,
    method: 'post'
  })
}
 





